all lists on lists.proxmox.com
 help / color / mirror / Atom feed
From: Maximiliano Sandoval <m.sandoval@proxmox.com>
To: pve-devel@lists.proxmox.com
Subject: [PATCH qemu-server v2] debian: add maintscript to remove unused file
Date: Thu, 16 Jul 2026 15:01:02 +0200	[thread overview]
Message-ID: <20260716130103.406573-1-m.sandoval@proxmox.com> (raw)

The conffile was moved to LIDBIR in in 4093c3f4a but there was no associated
cleanup.

If one starts from a version of Proxmox VE older than 9, then the configuration
would be at /etc. If the machine is then updated to version 9, then both
versions will be present, with the version at /etc having a higher priority as
per modules-load.d(5). In such a case, any changes made in the packaged
configuration will be ignored.

The rm_config (see dpkg-maintscript-helper(1)) is used to remove the trailing
config if it was not touched by the user. If the file was touched by the user
then it is automatically moved and we move it back manually so that it continues
to have higher preference.

Suggested-by: Fabian Grünbichler <f.gruenbichler@proxmox.com>
Reviewed-by: Fiona Ebner <f.ebner@proxmox.com>
Signed-off-by: Maximiliano Sandoval <m.sandoval@proxmox.com>
---

Notes:
    Tested:
    
    1. Created pve 8 VM using the 8.4 iso
    2. Checked the version at /etc is present
    3. Updated to pve 9
    4. Checked that both versions are present
    5. Updated the qemu-server package using this patch
    6. Verified the file at /etc is not there
    
    During step 5. the following message can be seen:
    
        Removing obsolete conffile /etc/modules-load.d/qemu-server.conf ...
    
    If we edit the file before 5. then one would see
    
       Obsolete conffile /etc/modules-load.d/qemu-server.conf has been modified by you.
       Saving as /etc/modules-load.d/qemu-server.conf.dpkg-bak ...
       Moving qemu-server.conf.dpkg-bak back to qemu-server.conf
    
    and systemd-delta would still consider this as an override of the
    version at /usr/lib.
    
    Further reinstalls of the qemu-server package will leave alone this
    version of /etc/modules-load.d/qemu-server.conf.
    
    Note that the version at /etc will only have a higher preference over
    the one at /usr/lib if it is named exactly the same, thus we move it
    back rather than renaming it to, e.g. qemu-server-old.conf, as this
    would result in the union of both modules being loaded by
    systemd-modules-load.service at boot.
    
    Differences from v1:
     - Set 9.2.1 as the next release version instead of 9.1.6.
     - renamed    debian/qemu-server.maintscript -> debian/maintscript
     - s/the the/the/ in the commit message

 debian/maintscript |  1 +
 debian/postinst    | 18 ++++++++++++++++++
 2 files changed, 19 insertions(+)
 create mode 100644 debian/maintscript
 create mode 100644 debian/postinst

diff --git a/debian/maintscript b/debian/maintscript
new file mode 100644
index 00000000..8020f401
--- /dev/null
+++ b/debian/maintscript
@@ -0,0 +1 @@
+rm_conffile /etc/modules-load.d/qemu-server.conf 9.2.1~ qemu-server
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 00000000..126b20e9
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+    configure)
+
+    if test -n "$2" && dpkg --compare-versions "$2" 'lt' '9.2.1'; then
+        if test -f  /etc/modules-load.d/qemu-server.conf.dpkg-bak; then
+            printf "Moving qemu-server.conf.dpkg-bak back to qemu-server.conf\n"
+            mv /etc/modules-load.d/qemu-server.conf.dpkg-bak /etc/modules-load.d/qemu-server.conf
+        fi
+    fi
+esac
+
+exit 0
-- 
2.47.3





                 reply	other threads:[~2026-07-16 13:01 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20260716130103.406573-1-m.sandoval@proxmox.com \
    --to=m.sandoval@proxmox.com \
    --cc=pve-devel@lists.proxmox.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.
Service provided by Proxmox Server Solutions GmbH | Privacy | Legal